#
# spec file for package pulseaudio-dlna
#
# Copyright (c) 2015 Antoine Belvire <antoine.belvire@laposte.net>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           pulseaudio-dlna
Version:        0.3.5
Release:        1.1
License:        GPL-3.0
Summary:        A DLNA server which brings DLNA/UPnP support to PulseAudio
Url:            https://github.com/masmu/%{name}
Group:          Productivity/Multimedia/Sound/Utilities
Source:         https://github.com/masmu/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python-setuptools
Requires:       pulseaudio
Requires:       python == 2.7
Requires:       dbus-1-python >= 1.2.0
Requires:       python-beautifulsoup >= 3.2.1
Requires:       python-docopt >= 0.6.1
Requires:       python-gobject >= 3.12.0
Requires:       python-requests >= 2.2.1
Requires:       python-setproctitle >= 1.0.1
Requires:       vorbis-tools >= 1.4.0
Requires:       sox >= 14.4.1
Requires:       lame >= 3.99.0
Requires:       flac >= 1.3.0
Requires:       opus-tools >= 0.1.8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is pulseaudio-dlna. A small DLNA server which brings DLNA / UPnP support
to PulseAudio and Linux.

It can stream your current PulseAudio playback to different UPnP devices (UPnP
Media Renderers) in your network. It's main goals are: easy to use, no
configuration hassle, no big dependencies.

%prep
%setup -q

%build
%__python setup.py build

%install
%__python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc debian/changelog README.md LICENSE
%{_bindir}/%{name}
%{python_sitelib}/pulseaudio_dlna-%{version}*egg-info/
%{python_sitelib}/pulseaudio_dlna/
%{_mandir}/man1/%{name}.1%{?ext_man} 

%changelog
* Fri Apr 10 2015 antoine.belvire@laposte.net
- Update to 0.3.5:
  * Fix a bug where Sonos description XML could not get parsed
    correctly
* Tue Mar 24 2015 antoine.belvire@laposte.net
- Update to 0.3.4:
  * Fix Makefile for Launchpad
  * Add --filter-device option (0.3.3)
  * Send 2 SSDP packets by default for better UPnP device discovery
    (0.3.3)
  * Add virtualenv for local installation (0.3.3)
* Fri Mar 20 2015 antoine.belvire@laposte.net
- Update to 0.3.2:
  * Add the Opus Encoder (new dependency: opus-tools)
  * Fix a bug where an empty UPnP device name made the application
    crash
  * Add a missing dependency (python-gobject)
* Sun Feb 22 2015 antoine.belvire@laposte.net
- New package for pulseaudio-dlna 0.3.1
- See /usr/share/doc/packages/pulseaudio-dlna/changelog for
  previous changes
